#include<bits/stdc++.h>
typedef long long ll;
typedef long l;

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);  cout.tie(0);
    l n,k;
    cin >> n >> k;
    l*o = (l*)calloc(2*n+1,sizeof(l));
    for (l i=0; i<n; i++)
    {
       l x;
       cin >> x;
       o[x+n]++;
    }
    l b=0;
    for(l i=0; i<2*n+1; i++)
        if (o[i]>=k) b++;
    cout << b << "\n";
    for(l i=0; i<2*n+1; i++)
        if (o[i]>=k) cout << i-n << " ";
    return 0;
}